# Generated by rust2rpm 26
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

# drop unnecessary debuginfo generation to fix OOM problems on 32-bit arches
%global rustflags_debuginfo 0

# prevent executables from being installed
%global cargo_install_bin 0

%global crate cargo

Name:           rust-cargo
Version:        0.83.0
Release:        %mkrel 1
Summary:        Package manager for Rust

Group:          Development/Other
BuildArch:      noarch

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cargo
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          cargo-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop features for statically linking cURL, libgit2, OpenSSL, and SQLite
# * update gix dependency to version 0.66
# * update supports-unicode dependency to version 3
Patch:          cargo-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  rust-unicode-width0.1-devel

%global _description %{expand:
Package manager for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-unicode-width0.1+default-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/{ci/,clippy.toml,deny.toml,publish.py,triagebot.toml}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Wed Oct 23 2024 wally <wally> 0.83.0-1.mga10
+ Revision: 2110962
- new version 0.83.0
- mageiafy .spec
- imported package rust-cargo


## START: Generated by rpmautospec
* Sun May 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.79.0-1
- Update to version 0.79.0; Fixes RHBZ#2256108

* Mon May 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.78.1-1
- Update to version 0.78.1

* Sat Apr 06 2024 blinxen <h-k-81@hotmail.com> - 0.75.1-3
- Update gix and gix-features dependencies to the latest version (0.61 /
  0.38)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.75.1-1
- Update to version 0.75.1; Fixes RHBZ#2250481

* Sat Nov 11 2023 Fabio Valentini <decathorpe@gmail.com> - 0.74.0-1
- Update to version 0.74.0; Fixes RHBZ#2129110

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.70.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.70.1-1
- Update to version 0.70.1

* Mon Apr 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.64.0-3
- Bump toml_edit from v0.14 to v0.19 + toml v0.7

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.64.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.64.0-1
- Update to version 0.64.0; Fixes RHBZ#2058338

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.59.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 22 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.59.0-3
- Build at debuginfo level 1 again

* Tue Feb 22 2022 Fabio Valentini <decathorpe@gmail.com> - 0.59.0-2
- Work around RUSTFLAGS no longer being set in .cargo/config

* Mon Feb 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.59.0-1
- Update to version 0.59.0; Fixes RHBZ#2002775

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.55.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.55.0-2
- Drop unnecessary debuginfo generation to fix armv7hl OOM problems

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.55.0-1
- Update to version 0.55.0; Fixes RHBZ#>1987571

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.51.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.51.0-1
- Update to version 0.51.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.49.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:27:54 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.49.0-2
- Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.49.0-1
- Update to version 0.49.0.
- Fixes RHBZ#1858031

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.45.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.45.1-1
- Update to 0.45.1

* Fri Jun 05 2020 Josh Stone <jistone@redhat.com> - 0.45.0-1
- Update to 0.45.0

* Thu May 21 2020 Josh Stone <jistone@redhat.com> - 0.44.1-2
- Bump to im-rc 15

* Thu May 07 2020 Josh Stone <jistone@redhat.com> - 0.44.1-1
- Update to 0.44.1

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.44.0-1
- Update to 0.44.0

* Thu Mar 19 12:38:02 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.43.1-2
- Update git2 dependencies

* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 0.43.1-1
- Update to 0.43.1

* Thu Mar 12 2020 Josh Stone <jistone@redhat.com> - 0.43.0-1
- Update to 0.43.0

* Thu Mar 05 2020 Josh Stone <jistone@redhat.com> - 0.42.0-3
- Bump to rustfix 0.5

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.42.0-2
- Bump git2 dependencies

* Mon Mar 02 2020 Josh Stone <jistone@redhat.com> - 0.42.0-1
- Update to 0.42.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 07 2019 Josh Stone <jistone@redhat.com> - 0.40.0-1
- Update to 0.40.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.36.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.36.0-1
- Update to 0.36.0

* Wed Apr 03 2019 Josh Stone <jistone@redhat.com> - 0.32.0-4
- Bump git2 and git2-curl dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.32.0-2
- Bump crossbeam-utils to 0.6

* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 0.32.0-1
- Update to 0.32.0

* Sat Nov 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.31.0-1
- Update to 0.31.0

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.30.0-2
- Adapt to new packaging

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.29.0-2
- Switch to crossbeam-utils

* Sat Aug 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.29.0-1
- Update to 0.29.0

* Sun Jul 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.28.0-1
- Initial package

## END: Generated by rpmautospec
